Skip to Content
inclamoDocs

Add a webhook

POST
/api/v1/accounts/{account_id}/webhooks

Add a webhook subscription to the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
url?string

The url where the events should be sent

name?string

The name of the webhook

subscriptions?array<>

The events you want to subscribe to.

Response Body

Success

application/json
  1. response
id?number

The ID of the webhook

url?string

The url to which the events will be send

name?string

The name of the webhook

subscriptions?array<>

The list of subscribed events

secret?string

Secret used to sign webhook requests. Signed webhook deliveries include X-Chatwoot-Timestamp and X-Chatwoot-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Chatwoot-Delivery when a delivery id is available.

account_id?number

The id of the account which the webhook object belongs to

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/webhooks' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "url": "string",  "name": "string",  "subscriptions": [    "conversation_created"  ],  "secret": "string",  "account_id": 0}